<?php
try {
    $pdo = new PDO("mysql:host=localhost;dbname=kaltekgo_avila", "kaltekgo_admin", "kaltek@2024");
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Seleciona dados da Tabela1
    $sql = "SELECT matricula, nome, id_turma, nota FROM simulado_geral";
    $dados = $pdo->query($sql)->fetchAll(PDO::FETCH_ASSOC);

    // Prepara a inserção na Tabela2
    $stmt = $pdo->prepare("INSERT INTO P3 (matricula, nome, id_turma, notaSimulado) VALUES (:matricula, :nome, :id_turma, :notaSimulado)");

    foreach ($dados as $linha) {
        $stmt->execute([
            ':matricula' => $linha['matricula'],
            ':nome'      => $linha['nome'],
            ':id_turma'  => $linha['id_turma'],
            ':notaSimulado'  => $linha['nota']*0.2
        ]);
    }

    echo "Dados inseridos com sucesso!";
} catch (PDOException $e) {
    echo "Erro: " . $e->getMessage();
}
?>
